@import url("../fonts/fonts.css");
@import url("./style.css");

#hero {
    padding: 0;
    margin-top: 50px;
    background: url("../images/Home/hero--bg.png") no-repeat;
    background-size: cover;
}

.hero--wrapper {
    display: flex;
    flex-direction: column;
    gap: 190px;
    padding: 128px 0;
    color: var(--bg-white);
}

.hero--main {
    max-width: 640px;
}

.hero--main__title {
    margin-bottom: 48px;
    font-size: 64px;
    font-weight: 700;
    line-height: 76.8px;
}

.hero--buttons {
    display: flex;
}

.hero--main__link {
    display: flex;
    align-items: center;
    padding: 16px 32px;
    border-radius: 4px;
    background-color: transparent;
    color: var(--bg-white);
    font-size: 16px;
    font-weight: 500;
    line-height: 18.75px;
    transition: 0.8s;
}

.hero--main__link:hover {
    background-color: var(--bg-white);
    color: var(--pri-text);
}

.hero--play__video {
    gap: 8px;
}

.hero--play__video svg path {
    transition: all 0.5s;
}

.hero--play__video g path {
    fill: var(--bg-white);
}

.hero--play__video svg path:nth-child(2) {
    fill: var(--pri-text);
}

.hero--play__video:hover g path {
    fill: var(--pri-text);
}

.hero--play__video:hover svg path:nth-child(2) {
    fill: var(--bg-white);
}

.hero--lines {
    display: flex;
    align-items: center;
    gap: 24px;
    width: 100%;
}

.hero--lines__text {
    font-size: 18px;
    font-weight: 500;
    line-height: 21.09px;
}

.hero--line {
    display: inline-block;
    width: calc(100% - 420px);
    border: 1px solid var(--o-border);
    backdrop-filter: blur(30px);
}


/* About  */


#about {
    background-color: var(--bg-white);
    padding: 96px 0 64px;
}

.about--wrapper {
    display: flex;
    flex-direction: column;
    gap: 64px;
}

.about--top {
    display: flex;
    gap: 96px;
    align-items: center;
}


.about--top__main {
    max-width: 608px;
    margin-left: 97px;
}

.about--big__title {
    margin: 32px 0;
    color: var(--pri-text);
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
    text-align: left;
}

.about--text {
    color: var(--sec-text);
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
    margin-bottom: 48px;
}

.about--videos {
    position: relative;
    max-width: 480px;
}

.about--videos svg {
    position: absolute;
    top: 45%;
    left: 45%;
}

.about--videos svg path {
    transition: all 0.5s;
}

.about--videos g path {
    fill: var(--bg-white);
}

.about--videos svg path:nth-child(2) {
    fill: var(--pri-text);
}

.about--videos:hover g path {
    fill: var(--pri-text);
}

.about--videos:hover svg path:nth-child(2) {
    fill: var(--bg-white);
}



/* work  */


#work {
    background-color: var(--gree-try);
}

.work--wrapper {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

#work .about--small__title {
    margin-left: 96px;
    font-size: 16px;
    font-weight: 700;
    line-height: 18.75px;
    letter-spacing: 2px;
}

.work--main {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.work--works {
    display: flex;
    flex-direction: column;
    gap: 32px;
    margin-left: 96px;
    max-width: 608px;
}

.work--about__title {
    margin-bottom: 16px;
    color: var(--pri-text);
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
    text-decoration-skip-ink: none;
}

.work--about--text {
    color: var(--sec-text);
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.work--list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding-left: 32px;
    border-left: 1px solid var(--o-border);
}

.work--item {
    display: flex;
    align-items: flex-start;
    gap: 24px;
}

.work--item__main {
    max-width: 384px;
}

.work--item__title {
    margin-bottom: 8px;
    color: var(--pri-text);
    font-size: 24px;
    font-weight: 700;
    line-height: 28.13px;
}

.work--item__text {
    color: var(--sec-text);
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.work--image {
    max-width: 480px;
}

.work--image img {
    width: 100%;
}



/* project */



#project {
    background-color: var(--bg-white);
}

.project--wrapper {
    display: flex;
    flex-direction: column;
    gap: 65px;
}

.project--main {
    max-width: 640px;
    margin-left: 96px;
}

.project--main__title {
    margin-top: 32px;
    color: var(--pri-text);
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
}


/* chart */



#chart {
    background-color: var(--black-06);
    color: var(--bg-white);
}

.chart--wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.chart--main {
    max-width: 611px;
}

.chart--title {
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
}

.chart--text {
    margin: 16px 0 32px;
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
    opacity: 0.6;
}

.chart--statuses {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.chart--status {
    width: auto;
    font-size: 16px;
    font-weight: 500;
    line-height: 25.6px;
}

.chart--status::before {
    content: "";
    width: 16px;
    height: 16px;
    display: inline-block;
    background-color: var(--gree-sec);
    border-radius: 4px;
    margin-right: 8px;
}

.chart--status:nth-of-type(2)::before {
    background-color: #ac94f1;
}

.chart--status:nth-of-type(3)::before {
    background-color: #fff0ca;
}

.chart--status:nth-of-type(4)::before {
    background-color: #f9cf64;
}

.chart--status:nth-of-type(5)::before {
    background-color: #f38fbf;
}

.chart--circles {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 375px;
    height: 375px;
    background: conic-gradient(var(--gree-sec) 0% 40%,
            #ac94f1 40% 75%,
            #fff0ca 75% 85%,
            #f9cf64 85% 95%,
            #f38fbf 95% 100%);
    border-radius: 50%;
}

.chart--image {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    width: calc(100% /2);
    height: calc(100% /2);
    background-color: var(--black-06);
}

.chart--image svg {
    fill: var(--bg-white);
}

/* media */




@media (max-width: 1100px) {
    .project--cards {
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (max-width: 1300px) {
    .about--logoipsums {
        gap: 30px;
    }

}

@media (max-width: 1090px) {
    .about--top {
        flex-direction: column;
    }

    .about--videos img {
        width: 100%;
    }

    .about--top__main {
        margin: 0;
    }

    #about .about--small__title::before {
        left: 150px;
    }

    .work--main {
        flex-direction: column;
        gap: 50px;
    }

    .work--works {
        margin: 0;
    }

    .chart--wrapper {
        flex-direction: column;
        gap: 50px;
    }
}

@media (max-width:540px) {
    .hero--wrapper {
        gap: 50px;
    }

    .hero--main__title {
        font-size: 44px;
        line-height: 66.8px;
    }

    .hero--lines {
        flex-direction: column;
    }

    .hero--line {
        width: 50%;
    }

    .project--main {
        margin: 0;
    }

}


@media (max-width: 410px) {
    .chart--circles {
        width: 100%;
        /* height: 100%; */
    }
}


@media (max-width:370px) {
    .hero--main {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .hero--buttons {
        flex-direction: column;
        align-items: center;
    }

    #about .about--small__title::before {
        display: none;
    }

    .about--big__title {
        font-size: 38px;
        line-height: 47.6px;
    }

    .work--about__title {
        font-size: 38px;
        line-height: 47.6px;
    }

    .work--list {
        padding: 0;
        border: none;
    }

    .project--main__title {
        font-size: 38px;
        line-height: 47.6px;
    }

    .project--card__title {
        font-size: 20px;
        line-height: 32px;
    }

    .chart--title {
        font-size: 38px;
        line-height: 47.6px;
    }
}



/* 
@media (max-width: px) {} 
*/